package com.hrsk.cloud.eg.dto.data.user;

import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 13:48
 * @description: User信息Dto
 **/
@Data
public class UserInBaseInfoDto {
    /**
     * 用户ID
     * */
    private Long userId;
    /**
     * 电话
     * */
    private String userMobile;
    /**
     * 用户身份证号
     * */
    private String idCardNo;
    /**
     * 用户真实姓名
     * */
    private String realName;
    /**
     * ip
     * */
    private String ip;
    /**
     * 当前操作环境
     * */
    private Integer runPlatform;
    /**
     * 设备类型
     * */
    private String deviceModel;
    /**
     * appId
     * */
    private Integer appId;
    /**
     * 性别
     * */
    private String policeSex;
    /**
     * 出生日期
     * */
    private String policeBirthBate;
    /**
     * 年龄
     * */
    private Integer age;
    /**
     * 城市名称
     * */
    private String companyCity;
    /**
     * 社保
     * */
    private Integer socialSecurity;
    /**
     * 公积金
     * */
    private Integer accumulation;
    /**
     * 信用卡
     * */
    private Integer creditCard;
    /**
     * 信用额度
     * */
    private Integer creditLimit;
    /**
     * 芝麻分
     * */
    private Integer sesame;
    /**
     * 居住地址
     * */
    private Integer addressCityCode;
    /**
     * 职业
     * */
    private Integer profession;
    /**
     * 有无逾期
     * */
    private Integer overdue;
    /**
     * 需求金额
     * */
    private Integer borrowMoney;
    /**
     * 期限
     * */
    private Integer borrowLimit;
    /**
     * 贷款用途
     * */
    private Integer borrowPurpose;
    /**
     * 手机号md5
     * */
    private String phoneMd5;
    /**
     * 城市名称（对于我们助贷可能是简称）
     * */
    private String cityOfWork;
    /**
     * 城市code
     * */
    private String cityCode;
    /**
     * 电话盐
     * */
    private String userMobileSalt;
    /**
     * 身份证盐
     * */
    private String idCardNoSalt;
    /**
     * 注册渠道
     * */
    private String channelCode;
    /**
     * 激活渠道
     * */
    private String activeChannelCode;

    /**
     * 车产
     * */
    private UserAssetCarInfoDto carInfo;

    /**
     * 房产
     * */
    private UserAssetHouseInfoDto houseInfo;

    /**
     * 保单
     * */
    private UserAssetInsuranceInfoDto insuranceInfo;

    /**
     * 电商主
     * */
    private UserProfessionBusinessOwnerDto businessOwner;

    /**
     * 上班族信息
     * */
    private UserProfessionOfficeWorkersDto officeWorkers;

    /**
     * 企业主
     * */
    private UserProfessionEcommerceOwnersDto ecommerceOwners;

    /**
     * 个体户
     * */
    private UserProfessionSelfEmployedDto selfEmployed;
}
