package com.hrsk.cloud.eg.infrastructure.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.hrsk.cloud.eg.constant.GlobalDataStatusEnum;
import com.hrsk.cloud.eg.domain.common.utils.SnowflakeIdWorker;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.context.annotation.Configuration;

import java.util.Date;
/**
 * @description: mybatis 默认meta数据填充
 * @author zhangyy
 * @date: 2024/8/28 14:30
 */
@Configuration
public class MyMetaObjectHandler implements MetaObjectHandler {
    @Override
    public void insertFill(MetaObject metaObject) {
        // 插入操作时的自动填充逻辑
        this.setFieldValByName("id", SnowflakeIdWorker.nextId(), metaObject);
        this.setFieldValByName("status", GlobalDataStatusEnum.YES.getCode(), metaObject);
        //暂时不填充
        this.setFieldValByName("create_uid", "", metaObject);
        this.setFieldValByName("create_username", "", metaObject);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        // 更新操作时的自动填充逻辑
        this.setFieldValByName("modify_uid", "", metaObject);
        this.setFieldValByName("modify_username", "", metaObject);
        this.setFieldValByName("gmt_modify", new Date(), metaObject);
    }

}